## sig11-shell 1.50

=== Makefile ===
# make the printenv command
#
CONFDIR=$(DESTDIR)/etc
SKELDIR=$(DESTDIR)/etc/skel
PROFDIR=$(DESTDIR)/etc/profile.d
SSHCDIR=$(DESTDIR)/etc/skel/.ssh
APTCDIR=$(DESTDIR)/etc/apt/apt.conf.d
INSTALL=/usr/bin/install

all: sig11-shell

configure: sig11-shell

clean: sig11-shell

sig11-shell:

install:
	mkdir -p $(CONFDIR)
	mkdir -p $(SKELDIR)
	mkdir -p $(PROFDIR)
	mkdir -p $(SSHCDIR)
	mkdir -p $(APTCDIR)
	$(INSTALL) -o root -g root -m 644 etc.DIR_COLORS $(CONFDIR)/DIR_COLORS
	$(INSTALL) -o root -g root -m 644 etc.issue $(CONFDIR)/issue
	$(INSTALL) -o root -g root -m 644 etc.issue.net $(CONFDIR)/issue.net
	$(INSTALL) -o root -g root -m 644 etc.motd $(CONFDIR)/motd
	$(INSTALL) -o root -g root -m 644 profile.d.sig11.sh $(PROFDIR)/sig11.sh
	$(INSTALL) -o root -g root -m 644 skel.screenrc $(SKELDIR)/.screenrc
	$(INSTALL) -o root -g root -m 644 skel.ssh.config $(SSHCDIR)/config
	$(INSTALL) -o root -g root -m 644 apt.06norecommends $(APTCDIR)/06norecommends

=== debian/changelog ===
sig11-shell (1.50) stable; urgency=medium

  * Removed bash_completion from /etc/skel
  * Removed original /etc/profile
  * Moved motd.static to motd
  * Updated profile include aliases

 -- Michael Poetters <michael+debian@poetters.net>  Sat, 08 Nov 2014 07:55:21 +0100

sig11-shell (1.49) stable; urgency=medium

  * Added colorized less option '-R' 

 -- Michael Poetters <michael+debian@poetters.net>  Fri, 27 Dec 2013 18:04:39 +0100

sig11-shell (1.48) stable; urgency=low

  * Restored old /etc/profile
    - moved all changes to /etc/profile.d/sig11.sh
  * Removed X11-Forward from /etc/skel/.ssh/config 

 -- Michael Poetters <michael+debian@poetters.net>  Thu, 27 Jun 2013 20:03:33 +0200

sig11-shell (1.47) stable; urgency=low

  * Again some typo fixing 

 -- Michael Poetters <michael+debian@poetters.net>  Sun, 14 Nov 2010 14:44:00 +0100

sig11-shell (1.46) stable; urgency=low

  * Updated .screenrc
    + added old F1-F4 key mapping
  * New build for all architectures

 -- Michael Poetters <michael+debian@poetters.net>  Thu, 18 Mar 2010 22:28:30 +0100

sig11-shell (1.45) stable; urgency=low

  * Added apt.conf.d/06norecommends
  * Solved override problem with /etc/issue[.net]
  * Updated .screenrc
    + added example for backtick operator

 -- Michael Poetters <michael+debian@poetters.net>  Sun, 22 Mar 2009 18:40:19 +0100

sig11-shell (1.44) stable; urgency=low

  * Added .ssh/config
  * Updated .screenrc
    + new caption line

 -- Michael Poetters <michael+debian@poetters.net>  Wed, 29 Oct 2008 03:34:15 +0100

sig11-shell (1.43) stable; urgency=low

  * Fixed more typos in .screenrc
    (i should distribute beta packages...)

 -- Michael Poetters <michael+debian@poetters.net>  Fri, 06 Jun 2008 22:21:05 +0200

sig11-shell (1.42) stable; urgency=low

  * Fixed typo in .screenrc

 -- Michael Poetters <michael+debian@poetters.net>  Fri, 06 Jun 2008 20:46:19 +0200

sig11-shell (1.41) stable; urgency=low

  * Updated profile:
    + fixed PROMPT_COMMAND (use only in xterm, etc.)
  * Updated .screenrc
    + moved line from hardstatus to caption
    + mapped 'Enter' in Copy Mode to Esc, to leave scrolling simpler
    + minor fixes to caption
    + added termcapinfo for xterm, etc.

 -- Michael Poetters <michael+debian@poetters.net>  Fri, 06 Jun 2008 20:32:20 +0200

sig11-shell (1.4) stable; urgency=low

  * Updated profile:
    + fixed some typos (mainly changed test to [)
    + removed some aliases
    + removed midnight commander stuff
    + moved PAGER to less section
    + added colorized prompt
      (red: uid 0, yellow: uid < 500, green: normal user)
    + added PROMPT_COMMAND for xterm title
    + added include for ~/.bash_completion
  * Added .bash_completion

 -- Michael Poetters <michael+debian@poetters.net>  Fri, 06 Jun 2008 16:41:12 +0200

sig11-shell (1.3) stable; urgency=low

  * Updated profile:
    + added /usr/games to path
    + changed LESSCHARSET to UTF-8

 -- Michael Poetters <michael+debian@poetters.net>  Sun, 25 Nov 2007 04:21:11 +0100

sig11-shell (1.2) stable; urgency=low

  * Updated profile:
    + various fixes
    + slim up

 -- Michael Poetters <michael+debian@poetters.net>  Tue, 20 Nov 2007 04:30:27 +0100

sig11-shell (1.1) stable; urgency=low

  * Initial Release.

 -- Michael Poetters <michael+debian@poetters.net>  Mon, 12 Nov 2007 19:11:33 +0100

=== debian/control ===
Source: sig11-shell
Section: misc
Priority: optional
Maintainer: Michael Poetters <michael+debian@poetters.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0

Package: sig11-shell
Architecture: all
Depends: screen, less
Conflicts: gntec-shell
Replaces: gntec-shell
Description: sig11.de personal shell addons
 This package provides some modifications of default
 system config files like /etc/profile and .screenrc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sig11-shell.sgml > sig11-shell.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sig11-shell.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sig11-shell install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sig11-shell 1.52

=== Makefile ===
--- 
+++ 
@@ -27,5 +27,7 @@
 	$(INSTALL) -o root -g root -m 644 etc.motd $(CONFDIR)/motd
 	$(INSTALL) -o root -g root -m 644 profile.d.sig11.sh $(PROFDIR)/sig11.sh
 	$(INSTALL) -o root -g root -m 644 skel.screenrc $(SKELDIR)/.screenrc
+	$(INSTALL) -o root -g root -m 644 skel.vimrc $(SKELDIR)/.vimrc
+	$(INSTALL) -o root -g root -m 755 skel.screen_redir $(SKELDIR)/screen_redir
 	$(INSTALL) -o root -g root -m 644 skel.ssh.config $(SSHCDIR)/config
 	$(INSTALL) -o root -g root -m 644 apt.06norecommends $(APTCDIR)/06norecommends

=== debian/changelog ===
sig11-shell (1.52) stable; urgency=medium

  * updated vimrc 

 -- Michael Poetters <michael+debian@poetters.net>  Sun, 14 Jun 2020 12:33:44 +0200

sig11-shell (1.51) stable; urgency=medium

  * Added screen_redir script
  * Added vimrc

 -- Michael Poetters <michael+debian@poetters.net>  Tue, 12 Feb 2019 00:21:40 +0100
